/*****************************************************************************
* Copyright (c) 1990-98 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/


// AdapterHouston.h: interface for the CAdapterHouston class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ADAPTERHOUSTON_H__D7D830FD_DF75_11D1_BAC2_00805F9E3135__INCLUDED_)
#define AFX_ADAPTERHOUSTON_H__D7D830FD_DF75_11D1_BAC2_00805F9E3135__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Adapter.h"
#include "PageModemCC.h"

class ADAPTER_EXPORTED_CLASS CAdapterHouston : public CAdapter  
{
	DECLARE_DYNAMIC(CAdapterHouston)

public:
	CAdapterHouston(HKEY const hKeyRoot, CString const & strRegPath, CConfigObject const * const pParent);
	virtual ~CAdapterHouston();

   virtual BOOL SetParameters(void);

   virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet);
   virtual BOOL RemoveWizardPages(CConfigWizSheet * const pSheet);
   virtual BOOL NextWizardPage(int const nState);

   virtual CString GetInformationText(void);
   virtual BOOL DoProperties(void);

private:
   CDWordArray m_adwModemCCsAllowed;
   DWORD m_dwModemCC;

   BOOL GetParameters(void);
   BOOL GetConfigData(void);
#ifndef NT5
   BOOL GetPCIInfoFromAdapterInSlot(SHWResources & hwNewResources);
   BOOL IsAdpaterInSlotCompatible(SHWResources const & hwNewResources);
   BOOL ChangeInDaughterCard(SHWResources const & hwNewResources, int & cLineDelta);

   virtual BOOL DetectHWChange(BOOL & fHWChanged, BOOL & fRunWizard);
#endif
   enum
   {
      WP_WELCOME = CAdapter::WP_WELCOME,
      WP_MODEMCC = CAdapter::WP_COUNT,
#if defined NT5
      WP_PROTOCOL,
#endif // #if defined NT5
      WP_COUNT
   };

   CPageModemCC m_WizModemCC;
   BOOL HandleWizWelcome(void);
   BOOL HandleWizModemCC(void);
#if defined NT5
   CStringArray m_astrProtocolsAllowed;
   CString m_strProtocol;
   CWizPageComboBox * m_pwpProtocol;
   BOOL HandleWizProtocol(void);
#endif // #if defined NT5
};

#endif // !defined(AFX_ADAPTERHOUSTON_H__D7D830FD_DF75_11D1_BAC2_00805F9E3135__INCLUDED_)
